Subject: Re: [PATCH 0/6] stmmac: Driver Updates

From: Giuseppe CAVALLARO <[email-masked]>
Date: Mon, 05 Mar 2012 16:31:52 +0100

Hello Deepak

thanks for these patches.
I've just commented the patches #1 #2 #3.

I've found some problem when apply them in git.net.

I'll look at the patches #4 and #5 tomorrow and then I'll give you my
feedback. These have an impact on old driver versions too.

Patch #6, at first glance looks fine to me. I'll give you mu Acked-by as
soon as I complete the review.

Sorry for the delay

Regards
Peppe

On 3/2/2012 1:55 PM, Deepak SIKRI wrote:
> This patch set modifies the stmmac driver.
> Following changes have been done in the patch set.
> 1. Explicitly have the option to pass checksum offload engine type
> through the platform code. This is helpful for stmmac core prior to
> revision 3.5
> 2. Pass the default value of clk_csr scaling through the platform code.
> Define the scaling macros to be consistently used across driver and plat
> code.
> 3. Update the stmmac driver to incorporate the CPU freq framework.
> 4. Update the DMA descriptor status checks for cores prior to rev-3.5.
> 5. Configure burst related DMA parameter for cores revision beyond
> rev-3.6
> 6. Replace infinite loop in mdio read and write by timeouts
> 
> Deepak Sikri (6):
>   stmmac: Define CSUM offload engine Types
>   stmmac: Define MDC clock selection macros.
>   stmmac: Add support for CPU freq notifiers.
>   stmmac: Update stmmac descriptor checks for stmmac core prior to
>     Rev-3.5.
>   stmmac: configure burst related GMAC DMA parameters
>   stmmac: Replace infinite loops by timeouts in mdio r/w
> 
>  drivers/net/ethernet/stmicro/stmmac/common.h       |    2 +-
>  .../net/ethernet/stmicro/stmmac/dwmac1000_dma.c    |   14 ++-
>  drivers/net/ethernet/stmicro/stmmac/dwmac_dma.h    |    1 +
>  drivers/net/ethernet/stmicro/stmmac/enh_desc.c     |   17 ++-
>  drivers/net/ethernet/stmicro/stmmac/norm_desc.c    |    2 +-
>  drivers/net/ethernet/stmicro/stmmac/stmmac.h       |   10 ++
>  drivers/net/ethernet/stmicro/stmmac/stmmac_main.c  |  138 +++++++++++++++++++-
>  drivers/net/ethernet/stmicro/stmmac/stmmac_mdio.c  |   30 ++++-
>  include/linux/stmmac.h                             |   36 +++++
>  9 files changed, 229 insertions(+), 21 deletions(-)
> 
>